import axios from "@/utils/request";

export function deptCategoryTreeselect(deptCode) {
  return axios({
    url: `/consumeMaterialCategory/deptCategoryTreeselect/${deptCode}`,
    method: "GET"
  });
}

export function deptCategoryList(deptCode) {
  return axios({
    url: `/consumeMaterialCategory/deptCategoryList/${deptCode}`,
    method: "GET"
  });
}

export function updateBindCategory(query) {
  return axios({
    url: "/consumeMaterialCategory/updateBindCategory",
    method: "post",
    data: query
  });
}

export function deleteBindCategory(query) {
return axios({
  url: `/consumeMaterialCategory/deleteBindCategory`,
  method: "DELETE",
  data: query
});
}
